Subject: Re: PPC64 build breakage drivers/pci/hotplug/rpadlpar_sysfs.c

From: [email-masked] (Mel Gorman)
Date: Thu, 17 May 2007 11:40:08 +0100

On (16/05/07 09:30), Bob Picco didst pronounce:
> [email-masked]
> Bcc: 
> Subject: Re: 2.6.22-rc1-mm1 powerpc build breakage
> Reply-To: 
> In-Reply-To: <[email-masked]>
> 
> /usr/src/linux-2.6.22-rc1-mm1/drivers/pci/hotplug/rpadlpar_sysfs.c:132: error: unknown field `subsys' specified in initializer
> /usr/src/linux-2.6.22-rc1-mm1/drivers/pci/hotplug/rpadlpar_sysfs.c:132: warning: initialization from incompatible pointer type
> make[4]: *** [drivers/pci/hotplug/rpadlpar_sysfs.o] Error 1
> make[3]: *** [drivers/pci/hotplug] Error 2
> make[2]: *** [drivers/pci] Error 2
> make[1]: *** [drivers] Error 2
> make: *** [_all] Error 2
> 

This is showing up on TKO as well and Andy Whitcroft has kicked it
around a bit as far as I know. He makes it build with this patch
http://test.kernel.org/abat/88951/build/patches/update-sysfs-kset-initialisation-in-PPC64-DLPAR-IO-driver

However, my understand is that the driver is broken even though it builds
but I don't recall why. I've added Andy to the CC

-- 
Mel Gorman
Part-time Phd Student                          Linux Technology Center
University of Limerick                         IBM Dublin Software Lab